summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/global-macros.yaml8
-rw-r--r--jjb/vpp/include-raw-vpp-build.sh6
-rw-r--r--jjb/vpp/vpp.yaml7
3 files changed, 21 insertions, 0 deletions
diff --git a/jjb/global-macros.yaml b/jjb/global-macros.yaml
index 626571b3e..ba0d1a596 100644
--- a/jjb/global-macros.yaml
+++ b/jjb/global-macros.yaml
@@ -73,6 +73,14 @@
default: '{cc}'
description: "CC parameter, can be gnu or clang"
+- parameter:
+ name: is-csit-vpp-job-parameter
+ parameters:
+ - string:
+ name: IS_CSIT_VPP_JOB
+ default: '{is-csit-vpp-job}'
+ description: "Parameter is True if this is a CSIT vpp job."
+
##### SCMS
- scm:
diff --git a/jjb/vpp/include-raw-vpp-build.sh b/jjb/vpp/include-raw-vpp-build.sh
index 55fadd0d5..2a0a10b61 100644
--- a/jjb/vpp/include-raw-vpp-build.sh
+++ b/jjb/vpp/include-raw-vpp-build.sh
@@ -34,6 +34,11 @@ sha1sum $0
(git log --oneline | grep 30d41ff > /dev/null 2>&1);if [ $? != 0 ]; then REBASE_NEEDED="1";fi
(git log --oneline | grep fb0815d > /dev/null 2>&1);if [ $? == 0 ]; then VPP_REPO="1";fi
+
+# Due to a shift to make verify, after 2016-12-01 we need to make sure any patches
+# coming in happen after 37682e1
+(git log --oneline | grep 37682e1 > /dev/null 2>&1);if [ $? != 0 ]; then REBASE_NEEDED="1";fi
+
echo "REBASE_NEEDED: ${REBASE_NEEDED}"
echo "VPP_REPO: ${VPP_REPO}"
@@ -46,6 +51,7 @@ if [ "x${VPP_REPO}" == "x1" ]; then
fi
fi
echo "CC=${CC}"
+echo "IS_CSIT_VPP_JOB=${IS_CSIT_VPP_JOB}"
make UNATTENDED=yes verify
echo "*******************************************************************"
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index a775eac55..a47f8b1f5 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -54,6 +54,9 @@
- '1609':
branch: 'stable/1609'
repo-stream-part: 'stable.1609'
+ - '1701':
+ branch: 'stable/1701'
+ repo-stream-part: 'stable.1609'
os: ubuntu1604
type:
@@ -251,6 +254,8 @@
branch: '{branch}'
- os-parameter:
os: '{os}'
+ - is-csit-vpp-job-parameter:
+ is-csit-vpp-job: 'True'
scm:
- gerrit-trigger-scm:
@@ -305,6 +310,8 @@
os: '{os}'
- type-parameter:
type: '{type}'
+ - is-csit-vpp-job-parameter:
+ is-csit-vpp-job: 'True'
scm:
- gerrit-trigger-scm: